package com.cm.websocket.exception;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: UserException
 * @Description: 用户异常
 * @Author: wanggeng
 * @Date: 2021/1/14 12:21 下午
 * @Version: 1.0
 */
public class UserSessionException extends SessionException {

    public UserSessionException() {
    }

    public UserSessionException(String message) {
        super(message);
    }

    public UserSessionException(String message, Throwable cause) {
        super(message, cause);
    }

    public UserSessionException(Throwable cause) {
        super(cause);
    }

    public UserSessionException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
